Bug 7804 - Флешка пишется на скорости порядка 70кб/сек
: Флешка пишется на скорости порядка 70кб/сек
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/kernel-image-std26-up)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
: 7079
  Show dependency tree
 
Reported: 2005-08-31 18:53 by
Modified: 2008-02-16 18:14 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-31 18:54:00
Дистрибутив: compact 3.0rc6

Usbflash пишется она на скорости около 70кб/сек.
Проверял на двух флешках. Есть предположение, что это в ядре 2.6.12 что-то
сломано. Ибо недавно на ALM2.4 поставил ядро 2.6.12wks и там появилась эта
проблема, т.е. пишет на скорости 70кб/сек, а читает на 512кб/сек.
------- Comment #1 From 2005-08-31 19:18:42 -------
Да, в 2.6.12 действительно были изменения в поддержке fat - была исправлена
работа опции sync (в предыдущих версиях не все блоки писались вовремя).

Можно убрать sync из опций монтирования - тогда скорость записи должна стать
нормальной.
------- Comment #2 From 2005-09-02 20:08:11 -------
(In reply to comment #1)
> Да, в 2.6.12 действительно были изменения в поддержке fat - была исправлена
> работа опции sync (в предыдущих версиях не все блоки писались вовремя).
> 
> Можно убрать sync из опций монтирования - тогда скорость записи должна стать
> нормальной.

Это не решение, юзеру такого не скажешь.
Интересно, с какой скорость сейчас на флоппи сейчас пишется? :)

------- Comment #3 From 2005-09-18 12:34:19 -------
Что значит не решение? Для новых ядер sync для этих устройств использовать 
нельзя, и его не будет в новых дистрибутивах. А тот, кто обновит систему из 
Сизифа, отправится читать http://wiki.sisyphus.ru/changes. 
------- Comment #4 From 2005-09-21 18:36:59 -------
Дистрибутив: compact 3.0rc7

(In reply to comment #3)
> Что значит не решение? Для новых ядер sync для этих устройств использовать 
> нельзя, и его не будет в новых дистрибутивах. А тот, кто обновит систему из 
> Сизифа, отправится читать http://wiki.sisyphus.ru/changes. 

А те кто будет пользовать ALC3.0 что читать должны. :)
Я прекрасно понимаю что проблема пока не фиксится, но подымаю вопрос иначе потом
юзеры будут меня-же рвать. :)

------- Comment #5 From 2005-10-02 18:06:37 -------
(In reply to comment #3)
> Что значит не решение? Для новых ядер sync для этих устройств использовать 
> нельзя, и его не будет в новых дистрибутивах. А тот, кто обновит систему из 
> Сизифа, отправится читать http://wiki.sisyphus.ru/changes. 

Кстате, флопик на этом ядре с sync пишется на страшно большой скорости 1,14.
А это не приемлимо! Юзеры меня не поймут точно.
Без sync на флоппи не предлагать это ещё хуже и черевато непонятками с потерями
данных что после пары прецидентов приводит к сносу системы.
------- Comment #6 From 2005-10-12 14:36:00 -------
Дистрибутив: rc9
Убрать флаг sync это конечно просто.
Но скажите пожалуйста, как я должен определять момент когда мне вытаскивать
флопик или флешку?
------- Comment #7 From 2005-10-28 11:01:15 -------
sync выключен, ошибка закрывается с LATER.

Потом будем думать долго и упорно, как сделать монтирование/размонтирование
правильно ;-(
------- Comment #8 From 2007-02-07 11:43:35 -------
скажите, это еще актуально?
в kde есть пункт меню "безопасно извлечь" или что то типа того, и оно даже
работает! :)
------- Comment #9 From 2007-02-07 17:14:35 -------
> скажите, это еще актуально?
> в kde есть пункт меню "безопасно извлечь" или что то типа того, и оно даже
> работает! :)

Актуально где?

На ALT3.0 скорость записи с опцией монтирования "sync" так и осталась низкой. А
без sync невидно процесса записи, и как следствие момент окончания определяется
на глаз. Вот вчера потерял данные, при переносе, из-за этого.

"Безопасно извлечь" не работает с subfs. А без него неудобно.

------- Comment #10 From 2007-08-02 11:17:26 -------
Такого пакета давно нет, с флэшками проблем давненько уж не наблюдаю.  FIXED?
(для 3.0, боюсь, WONTFIX)
------- Comment #11 From 2007-08-02 11:31:42 -------
Нет, потому как флаг "sync" в 4.0 сброшен. Если в меню настройки 
монтирования флешки, по правому клику на иконке флешки в KDE, установить 
галочку "Синхронно", то будут точно такая же скорость. А раз 
потенциально есть такая возможность, значит есть и проблема.
------- Comment #12 From 2007-08-02 12:05:38 -------
"ну так не делайте так" (я помню доводы, но из разных зол приходится выбирать
меньшее)
------- Comment #13 From 2007-08-02 12:26:52 -------
Так речь не обо мне.
Если бы эту опцию не вытаскивали в GUI я бы с тобой согласился, а так 
эту опцию может кликнуть кто угодно, а следовательно эта проблема 
возникнит снова.
------- Comment #14 From 2008-02-15 23:09:07 -------
re
------- Comment #15 From 2008-02-15 23:10:10 -------
apparently wontfix...
------- Comment #16 From 2008-02-15 23:30:04 -------
(In reply to comment #13)

Синхронная запись - это не проблема, не бага, а ВОЗМОЖНОСТЬ.
------- Comment #17 From 2008-02-16 17:31:06 -------
> 
> Синхронная запись - это не проблема, не бага, а ВОЗМОЖНОСТЬ.
> 
Да да, а в свете мыслей выкинуть subfs из ядра это контрольный выстрел в 
голову флопику. :)
------- Comment #18 From 2008-02-16 18:14:17 -------
(In reply to comment #17)
> Да да, а в свете мыслей выкинуть subfs из ядра это контрольный выстрел в 
> голову флопику. :)

subfs никогда не был "в ядре". Тем не мене, submount/subfs - очень простая 
штука, и она делает ровно то, что от неё требуется, и делает это ИМХО хорошо.